### A free/open-source library for quantitative finance

Public Member Functions
StulzEngine Class Reference
Basket option engines

Pricing engine for 2D European Baskets. More...

`#include <ql/pricingengines/basket/stulzengine.hpp>`

Inheritance diagram for StulzEngine:
[legend]

List of all members.

## Public Member Functions

| StulzEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process1, const boost::shared_ptr< GeneralizedBlackScholesProcess > &process2, Real correlation)
void | calculate () const

## Detailed Description

Pricing engine for 2D European Baskets.

This class implements formulae from "Options on the Minimum or the Maximum of Two Risky Assets", Rene Stulz, Journal of Financial Ecomomics (1982) 10, 161-185.

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.